Package org.jfree.layouting.output.pageable

## Class BorderShapeFactory.BorderDrawOperation

- java.lang.Object
- - org.jfree.layouting.output.pageable.BorderShapeFactory.BorderDrawOperation

- Enclosing class:
    BorderShapeFactory

      public static class BorderShapeFactory.BorderDrawOperation
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BorderDrawOperation​(java.awt.Shape shape, java.awt.Color color, java.awt.BasicStroke stroke)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `draw​(java.awt.Graphics2D g2)` |
    `void` | `fill​(java.awt.Graphics2D g2)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BorderDrawOperation

          public BorderDrawOperation​(java.awt.Shape shape,
                                     java.awt.Color color,
                                     java.awt.BasicStroke stroke)

  - ### Method Detail

    - #### draw

          public void draw​(java.awt.Graphics2D g2)

    - #### fill

          public void fill​(java.awt.Graphics2D g2)